Create and Destroy Topologies(3)

NAME
Create and Destroy Topologies -

  Functions
int hwloc_topology_init (hwloc_topology_t *topologyp)
int hwloc_topology_load (hwloc_topology_t topology)
void hwloc_topology_destroy (hwloc_topology_t topology)
void hwloc_topology_check (hwloc_topology_t topology)

Detailed Description

Function Documentation

  void hwloc_topology_check (hwloc_topology_ttopology)

Run internal checks on a topology structure. The program aborts if an inconsistency is detected in the given topology.

Parameters:
    topology is the topology to be checked

Note:
    This routine is only useful to developers.

    The input topology should have been previously loaded with hwloc_topology_load().

  void hwloc_topology_destroy (hwloc_topology_ttopology)

Terminate and free a topology context.

Parameters:
    topology is the topology to be freed

  int hwloc_topology_init (hwloc_topology_t *topologyp)

Allocate a topology context.

Parameters:
    topologyp is assigned a pointer to the new allocated context.

Returns:
    0 on success, -1 on error.

  int hwloc_topology_load (hwloc_topology_ttopology)

Build the actual topology. Build the actual topology once initialized with hwloc_topology_init() and tuned with Configure Topology Detection routines. No other routine may be called earlier using this topology context.

Parameters:
    topology is the topology to be loaded with objects.

Returns:
    0 on success, -1 on error.

Note:
    On failure, the topology is reinitialized. It should be either destroyed with hwloc_topology_destroy() or configured and loaded again.

    This function may be called only once per topology.

See Also:
    Configure Topology Detection

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.